
if !d.name eq 'PS' then device,file='unno1000.ps'

v = findgen(600)/50.

wave    = 6302.5
a       = 0.4
doppler = 30.
eta0    = 10.
b0      = 1000.
b1      = 5000.
glande  = 2.5
Btotal  = 1000.
gamma   = 45.
chi     = 22.5
mu      = 1.0
fill    = 1.0

u1 = unno(v,a=a,eta0=eta0,doppler=dopplerl,bin=bin,glande=glande, $
          b0=b0,b1=b1,Btotal=Btotal,gamma=gamma,chi=chi,mu=mu, $
          wave=wave,fill=fill)


wave    = 6302.5
a       = 0.4
doppler = 30.
eta0    = 10.
b0      = 1000.
b1      = 5000.
glande  = 2.5
Btotal  = 2000.
gamma   = 45.
chi     = 22.5
mu      = 1.0
fill    = 0.5

u2 = unno(v,a=a,eta0=eta0,doppler=dopplerl,bin=bin,glande=glande, $
          b0=b0,b1=b1,Btotal=Btotal,gamma=gamma,chi=chi,mu=mu, $
          wave=wave,fill=fill)

!p.multi = [0,2,2,0,1]

plot,v,u1.i/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='I/I!DC!N' & oplot,v,u2.i/u2.icont,linestyle=1
xyouts,2.0,0.4,'!7k!36302.5, g = 2.5',align=0.0
xyouts,2.8,0.3,'B = 1000G, !7a!3 = 1.0',align=0.0
xyouts,2.8,0.2,'B = 2000G, !7a!3 = 0.5',align=0.0
plots,[2.0,2.7],[0.3,0.3],linestyle=0
plots,[2.0,2.7],[0.2,0.2],linestyle=1
plot,v,u1.q/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='Q/I!DC!N' & oplot,v,u2.q/u2.icont,linestyle=1
plot,v,u1.u/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='U/I!DC!N' & oplot,v,u2.u/u2.icont,linestyle=1
plot,v,u1.v/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='V/I!DC!N' & oplot,v,u2.v/u2.icont,linestyle=1

if !d.name eq 'PS' then begin
   device,/close
   device,file='unno500.ps'
endif

wave    = 6302.5
a       = 0.4
doppler = 30.
eta0    = 10.
b0      = 1000.
b1      = 5000.
glande  = 2.5
Btotal  = 500.
gamma   = 45.
chi     = 22.5
mu      = 1.0
fill    = 1.0

u1 = unno(v,a=a,eta0=eta0,doppler=dopplerl,bin=bin,glande=glande, $
          b0=b0,b1=b1,Btotal=Btotal,gamma=gamma,chi=chi,mu=mu, $
          wave=wave,fill=fill)


wave    = 6302.5
a       = 0.4
doppler = 30.
eta0    = 10.
b0      = 1000.
b1      = 5000.
glande  = 2.5
Btotal  = 1000.
gamma   = 45.
chi     = 22.5
mu      = 1.0
fill    = 0.5

u2 = unno(v,a=a,eta0=eta0,doppler=dopplerl,bin=bin,glande=glande, $
          b0=b0,b1=b1,Btotal=Btotal,gamma=gamma,chi=chi,mu=mu, $
          wave=wave,fill=fill)

!p.multi = [0,2,2,0,1]

plot,v,u1.i/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='I/I!DC!N' & oplot,v,u2.i/u2.icont,linestyle=1
xyouts,2.0,0.4,'!7k!36302.5, g = 2.5',align=0.0
xyouts,2.8,0.3,'B =  500G, !7a!3 = 1.0',align=0.0
xyouts,2.8,0.2,'B = 1000G, !7a!3 = 0.5',align=0.0
plots,[2.0,2.7],[0.3,0.3],linestyle=0
plots,[2.0,2.7],[0.2,0.2],linestyle=1
plot,v,u1.q/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='Q/I!DC!N' & oplot,v,u2.q/u2.icont,linestyle=1
plot,v,u1.u/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='U/I!DC!N' & oplot,v,u2.u/u2.icont,linestyle=1
plot,v,u1.v/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='V/I!DC!N' & oplot,v,u2.v/u2.icont,linestyle=1

if !d.name eq 'PS' then begin
   device,/close
   device,file='unno2000.ps'
endif

wave    = 6302.5
a       = 0.4
doppler = 30.
eta0    = 10.
b0      = 1000.
b1      = 5000.
glande  = 2.5
Btotal  = 2000.
gamma   = 45.
chi     = 22.5
mu      = 1.0
fill    = 1.0

u1 = unno(v,a=a,eta0=eta0,doppler=dopplerl,bin=bin,glande=glande, $
          b0=b0,b1=b1,Btotal=Btotal,gamma=gamma,chi=chi,mu=mu, $
          wave=wave,fill=fill)


wave    = 6302.5
a       = 0.4
doppler = 30.
eta0    = 10.
b0      = 1000.
b1      = 5000.
glande  = 2.5
Btotal  = 4000.
gamma   = 45.
chi     = 22.5
mu      = 1.0
fill    = 0.5

u2 = unno(v,a=a,eta0=eta0,doppler=dopplerl,bin=bin,glande=glande, $
          b0=b0,b1=b1,Btotal=Btotal,gamma=gamma,chi=chi,mu=mu, $
          wave=wave,fill=fill)

!p.multi = [0,2,2,0,1]

plot,v,u1.i/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='I/I!DC!N' & oplot,v,u2.i/u2.icont,linestyle=1
xyouts,2.0,0.4,'!7k!36302.5, g = 2.5',align=0.0
xyouts,2.8,0.3,'B = 2000G, !7a!3 = 1.0',align=0.0
xyouts,2.8,0.2,'B = 4000G, !7a!3 = 0.5',align=0.0
plots,[2.0,2.7],[0.3,0.3],linestyle=0
plots,[2.0,2.7],[0.2,0.2],linestyle=1
plot,v,u1.q/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='Q/I!DC!N' & oplot,v,u2.q/u2.icont,linestyle=1
plot,v,u1.u/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='U/I!DC!N' & oplot,v,u2.u/u2.icont,linestyle=1
plot,v,u1.v/u1.icont,xtitle='!7Dk/Dk!3!DD!N',title='V/I!DC!N' & oplot,v,u2.v/u2.icont,linestyle=1

if !d.name eq 'PS' then begin
   device,/close
endif


end