
PRO bhelio_current,bdxarraym,bdyarraym,bdzarraym,pxd,pyd,jz,jpxd,jpyd, $
   b_window=b_window, open_window=open_window,scale=scale,xstep=xstep, $
   ystep=ystep,current=current,length=length,noerase=noerase,title=title

   xsize=max(pxd)-min(pxd)
   ysize=max(pyd)-min(pyd)
   if n_elements(length) LE 0 then length = 1.

      if n_elements(b_window) EQ 0 then begin
         print,'Window number in which to plot the result?'
         read,nw
         b_window=nw
      endif $
      else nw=b_window
   
      if n_elements(scale) EQ 0 then scale=1.
      if n_elements(xstep) EQ 0 then xstep=1.
      if n_elements(ystep) EQ 0 then ystep=1.
   
      if keyword_set(open_window) then $
         window,nw,xs=640*scale,ys=512*scale

      if NOT keyword_set(noerase) then erase
   
;*********** ADDED by TRM


  ; All the stuff about P.POSITION which follows, sets up the plot with
  ; an appropriate aspect ratio (need square pixels!).

     !P.POSITION(0) = 0.02    ; Margins in normalized coords
     !P.POSITION(1) = 0.02
     !P.POSITION(2) = 0.98
     !P.POSITION(3) = 0.98
   
     deltax = (!P.POSITION(2)-!P.POSITION(0))  ; size of plot
     deltay = (!P.POSITION(3)-!P.POSITION(1))
   
     ; Adjust for aspect ratios
   
     if (xsize LT ysize) then begin  ;Adjust for FOV and step size aspect ratios
       if (xstep GT ystep) then begin
         deltax = deltax*(float(xsize)/float(ysize))
         deltay = deltay*(float(ystep)/float(xstep))
       endif $
       else deltax = deltax*(float(xsize)/float(ysize))*(float(xstep)/float(ystep))
     endif else begin
       if (xstep GE ystep) then $
         deltay =deltay*(float(ysize)/float(xsize))*(float(ystep)/float(xstep)) $
       else begin
         deltax = deltax*(float(xstep)/float(ystep))
         deltay = deltay*(float(ysize)/float(xsize))
       endelse
     endelse

     ; adjust for the physical aspect ratio of the window

     cm_aspect = (float(!D.X_SIZE)/float(!D.X_PX_CM)) / $
                 (float(!D.Y_SIZE)/float(!D.Y_PX_CM))
     deltay = deltay*cm_aspect

     ; Scale both dimensions so that they are as large as possible

     cm_x_scale = (!P.POSITION(2)-!P.POSITION(0))/deltax
     cm_y_scale = (!P.POSITION(3)-!P.POSITION(1))/deltay
     deltax = deltax * min([cm_x_scale,cm_y_scale])
     deltay = deltay * min([cm_x_scale,cm_y_scale])

     ; center the plot with offsets (no offsets<0)
   
     xoffset = (0.00 > ((!P.POSITION(2)-!P.POSITION(0)-deltax)/2.00)) 
     yoffset = (0.00 > ((!P.POSITION(3)-!P.POSITION(1)-deltay)/2.00))
   
     !P.POSITION = [!P.POSITION(0)+xoffset,!P.POSITION(1)+yoffset, $
                 !P.POSITION(0)+deltax+xoffset,!P.POSITION(1)+deltay+yoffset]
   
   
   ;************************

      if n_elements(title) EQ 0 then title=' ' 
   
      whitebg
      specialct,5,0,0,255
      specialct,6,0,255,0
      specialct,8,255,0,0
      specialct,7,255,0,255
      ;lv=[25,50,100,200,400,800,1600,3200]
      lv=[50,100,200,400,800,1600,3200]
      ;lv=[200,400,800,1600,3200]
      lv=[-rotate(lv,2),lv]
      if keyword_set(current) then lv=[-20,-15,-10,-8,-5,5,8,10,15,20]
      contour,bdzarraym,pxd,pyd,levels=lv,$
         c_color=(lv lt 0)+5,/noerase, xstyle=5,ystyle=5,title=title
      if n_elements(jz) GT 0 and NOT keyword_set(current) then begin
         jlv=[-20,-15,-10,-8,-5,5,8,10,15,20]
         ;jlv=[-12,-10,-8,-6,-4,-2,-1,-0.5,-0.25,0.25,0.5,1,2,4,6,8,10,12]
         contour,jz,jpxd,jpyd,levels=jlv,c_color=(jlv gt 0)+7,$
            xstyle=5,ystyle=5,/noerase,title=title
      endif

      vfield2,bdxarraym,bdyarraym,pxd,pyd,thick=1,color=1,background=0, $
              length=length,title=title

   end
