; first bunch are particular to current, and general to all
.run ./strstat.pro
.run ./get_def.pro
.run ./add2str.pro
.run ./rkey.pro
.run ./tag_index.pro ; conflict with SSW
.run ./wkey.pro
.run ./inheader.pro
.run ./rfits.pro
.run ./mkkey_struct.pro
.run ./makestr.pro
.run ./bfits.pro
.run ./wbfits.pro
.run ./whitebg.pro
.run ./specialct.pro
.run ./bmerge.pro
.run ./arange.pro
.run ./sign.pro ; conflict with SSW
.run ./current/current1/match.pro
.run ./current/current1/rem_dup.pro
.run ./current/current1/vfield2.pro
.run ./current/current1/jtotal.pro
.run ./current/current1/bdiv.pro
.run ./current/current1/bhelio_current.pro
.run ./current/current1/jzhigh.pro
.run ./current/current1/disktran.pro
.run ./current/current1/plot_conflicts.pro
.run ./current/current1/potential.pro
.run ./xform.pro
.run ./jzerr.pro
.run ./bicubic.pro
.run ./bicubic2d.pro
.run ./bff/bhelio.pro
.run ./bff/bicubic3d.pro
.run ./binup_b.pro
.run ./bff/bff.pro
.run ./bff/fff.pro
.run ./current/current2/bxyz.pro
.run ./current/current2/bterror.pro
.run ./bff/get_alpha.pro
.run ./current/current/jxyz.pro
.run ./current/current/current.pro
.run ./current/current/jzmagnify.pro

; next bunch are particular to current2
.run deriv.pro
.run stdev.pro
.run filepath.pro
.run congrid.pro
.run polywarp.pro
.run ./iscale.pro
.run ./isarray.pro
.run ./pp_reverse.pro
.run ./caltrans.pro
.run ./remapjz.pro
.run ./vmgram.pro
.run ./vectorfield.pro
.run ./unit_pp.pro
.run ./ppinvert.pro
.run ./pq2rss.pro
.run ./rss2pq.pro
.run ./pixsquare.pro
.run ./line_cent.pro ; conflict with SSW
.run ./bilinxy.pro
.run ./get_latlon.pro
.run ./current/current2/divb.pro
.run ./current/current2/janneal.pro
.run ./current/current2/current2.pro
.run ./current/current2/current3.pro
.run ./brebin.pro
.run ./fix_azimuth.pro
.run ./f_div.pro
.run ./fffresolve.pro

; current3

.run ./current/current3/current3

; and the next batch are for the force-free extraps.
;.run trmvect.pro not used?
.run ./runmean
.run ./bff/cvt_to_2d
.run ./bff/subff
.run ./bff/binterp
.run ./bff/rmline
.run ./bff/bselect
.run ./bff/blines
.run ./bff/bline
.run ./bff/diffeq_tfl
.run ./bff/bplot
.run ./bff/bff_movie
;.run bff/find_alpha not used?
.run ./bff/bff_height
.run ./bff/fff2bff
.run ./fly
.run ./bff/fly_blines
.run ./bff/color_blines
.run ./bff/kill_oob
.run ./kill_index

t3d,/reset & scale3d
;+
; cheat-sheet on how to use some of the IDL programs to resolve
; the 180deg. ambiguity, compute the constant alpha force-free fields,
; and display them.
; XXXX to be updated.
; IDL> @bff_compile
; IDL> j=bfits('J911115.2105')   ; Read in a magnetic FITS file
; IDL  print,find_alpha(j)       ; Compute a value for alpha
; IDL> m=bff(j,alpha=-1,/surr)   ; Compute the force free field ... OR
; IDL> m=bff(j,/get_alpha,/surr) ; Compute ff field and alpha ... OR
; IDL> v=blines(m,Bcut=800.,skip=2)  ; Plot lines of force ... OR
; IDL> v=blines(m)               ; Plot interactively
; IDL> surfr & scale3d           ; Rotate the 3D image
; IDL> v=blines(v,/vertices)     ; Plot without recomputing lines of force
; IDL> v=blines(v,/vertices,/reselect,magfield=m)  ; Reselect field lines
; IDL> bff_movie,v               ; Make a simple movie
; IDL> fly_blines,v              ; Fly around the 3D plot
;-

