pro energy_vs_alpha,j,alpha,energy,error,nalpha=nalpha,maxalpha=maxalpha

if n_elements(nalpha) LE 0 then nalpha = 101   ; should be odd
if nalpha MOD 2 EQ 0 then nalpha = nalpha + 1
if n_elements(maxalpha) LE 0 then maxalpha = 1.
error = fltarr(nalpha)
alpha = fltarr(nalpha)
energy=fltarr(nalpha)
for i=0,nalpha-1  do begin 
   alpha[i]=float(maxalpha)*(i-(nalpha-1.)/2.)/float((nalpha-1.)/2.)
   energy[i]=ffenergy(j,err,/extrapolate,alpha=alpha[i],/blong)
   error[i]=err
   print,alpha[i],energy[i],error[i]
endfor

plot,alpha,energy,/ynoz, $
   xtitle='Alpha (1/pixel)', $
   ytitle='Energy (ergs)', $
   title='Force-free energy vs. Alpha'
for i=0,nalpha-1 do $   ; Plot error bars
   plots,[alpha[i],alpha[i]],[energy[i]-error[i],energy[i]+error[i]]

end
